CTRLALTDEL(8)

NOM
ctrlaltdel - Configurer le comportement de la combinaison Ctrl-Alt-Del

SYNOPSIS

ctrlaltdel hard|soft

DESCRIPTION

Basé sur l’examen du code source de linux/kernel/sys.c, il est évident que seulement deux comportements sont définis par la combinaison <Ctrl-Alt-Del>.

hard
    Redémarrer immédiatement l’ordinateur sans appeler sync(2) et sans aucune autre préparation. C’est le comportement par défaut.

soft
    Faire que le noyau envoie un signal SIGINT (interruption) au processus init (dont le PID est toujours égal à 1). Si cette option est utilisée, le programme init(8) doit gérer cette fonctionnalité. Puisqu’il y a actuellement plusieurs programmes init(8) dans la communauté Linux, veuillez consulter la documentation de la version que vous utilisez actuellement.

Lorsque la commande est exécutée sans aucun argument, afficher les réglages en cours.

Le comportement de ctrlaltdel est généralement défini dans le fichier /etc/rc.local.

OPTIONS

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

FICHIERS

/etc/rc.local

AUTEURS

VOIR AUSSI

init(8), systemd(1)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande ctrlaltdel fait partie du paquet util-linux, elle est disponible sur